> For the complete documentation index, see [llms.txt](https://docs.oceanenterprise.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oceanenterprise.io/infrastructure/marketplace-installation-and-configuration/configure-market-level-authentication/configure-the-oe-marketplace-to-use-oidc-authentication.md).

# Configure the OE marketplace to use OIDC authentication

## Configure OE Market Environment Variables

1\. Add the following environment variables to OE Marketplace (in the `.env` file):

{% code overflow="wrap" %}

```shellscript
EXT_PUBLIC_AUTH_ENABLED=true
NEXT_PUBLIC_AUTH_PROVIDER=oidc
NEXT_PUBLIC_OIDC_ISSUER=<your_oidc_issuer_url>
NEXT_PUBLIC_OIDC_CLIENT_ID=<your_oidc_client_id>
OIDC_CLIENT_SECRET=<your_oidc_client_secret>
NEXT_PUBLIC_OIDC_REDIRECT_URI=<your_oidc_redirect_uri>
NEXT_PUBLIC_OIDC_TOKEN_URL=<your_oidc_token_url>
NEXT_PUBLIC_OIDC_SIGNUP_FLOW=<your_oidc_signup_flow> # Optional: only needed if your OIDC provider has a separate signup flow
```

{% endcode %}

2\. Restart the OE Marketplace with the new environment variables

## Expected results

After completing this configuration:

1. Users can log in from Ocean Market.
2. Authentik authenticates the user.
3. The user is redirected back to OE Market.
4. OE Market receives the OIDC tokens and creates the session.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oceanenterprise.io/infrastructure/marketplace-installation-and-configuration/configure-market-level-authentication/configure-the-oe-marketplace-to-use-oidc-authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
